Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleConsequentClause

    java.lang.Object
      com.ibm.able.rules.AbleClause
          com.ibm.able.rules.AbleConsequentClause

All Implemented Interfaces:
  java.io.Serializable

public class AbleConsequentClause
extends AbleClause
implements java.io.Serializable

This class represents an action (assignment, function call or method invocation) in a rule. For example, "... then risk = high".

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.rules.AbleClause
`myLhs, myLocation, myOp, myRhs, myRuleRefs`

Constructor Summary
`AbleConsequentClause(AbleExpression theExpression)` Create a new consequent clause based on an Expression.
`AbleConsequentClause(AbleLhs theLhs, int theOp, AbleRd theRhs)` Create a new consequent clause with the specified parts.

Method Summary
`java.lang.String` | `arlString()` Return a formal ARL string that describes this clause.
`java.lang.String` | `armlString()` Return a formal XML string that describes this clause.
`AbleConsequentClause` | `createMatchClause(java.util.Hashtable replacementVars)` Create a duplicate of this clause using replacement vars
`java.lang.String` | `getTemplateString(java.util.Vector theTemplateVars)` Retrieve a text format string for use by rule templates.
`java.lang.String` | `toString()` Retrieve a string describing (the contents of) the object.
`java.lang.String` | `traceString(int theTraceStringFlavor)` Retrieve a string describing (the contents of) the object.
`java.lang.String` | `xmlString()` Return a formal XML string that describes this clause.

Methods inherited from class com.ibm.able.rules.AbleClause
`addRuleRef, equals, getLhs, getLhsReferent, getLocation, getOp, getOpAsString, getReferent, getReferents, getRhs, getRhsReferent, getRule, getRuleRefs, hashCode, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleConsequentClause

    public AbleConsequentClause(AbleLhs theLhs,
                                int theOp,
                                AbleRd theRhs)

  Create a new consequent clause with the specified parts.

Parameters:
  `theLhs` - The left-hand side of the clause.

  `theOp` - A relational operator with which to evaluate the two sides, or operands, of this clause. The value must be an AbleData.<Operator> assignment constant.

  `theRhs` - The right-hand side of the clause.

### AbleConsequentClause

    public AbleConsequentClause(AbleExpression theExpression)

  Create a new consequent clause based on an Expression.

Parameters:
  `theExpression` - The action or operation to be used to create the clause.

Method Detail

### createMatchClause

    public AbleConsequentClause createMatchClause(java.util.Hashtable replacementVars)

  Create a duplicate of this clause using replacement vars

### arlString

    public java.lang.String arlString()

  Return a formal ARL string that describes this clause.

  Specified by:
    `arlString` in class `AbleClause`
  Returns:
    A String that describes this clause in formal rule language.

### xmlString

    public java.lang.String xmlString()

  Return a formal XML string that describes this clause. Note: this is written out as an "expression"

  Specified by:
    `xmlString` in class `AbleClause`
  Returns:
    A String that describes this clause in XML.

### armlString

    public java.lang.String armlString()

  Return a formal XML string that describes this clause. Note: this is written out as an "expression"

  Returns:
    A String that describes this clause in XML.

### getTemplateString

    public java.lang.String getTemplateString(java.util.Vector theTemplateVars)

  Retrieve a text format string for use by rule templates. The string contains "{n}" strings, where the index 'n' corresponds to the template variables defined in the rule template. This string is based on the standard arlString() representation of the rule. After replacement of the template variable values, the resulting string must be a valid ARL format string that can be parsed.

  Parameters:
    `theTemplateVars` - An ordered list of template variables referenced by this rule.
  Returns:
    A Text format string used to create a new rule instance.
  See Also:
    `AbleRuleTemplate`

### toString

    public java.lang.String toString()

  Retrieve a string describing (the contents of) the object.

  Overrides:
    `toString` in class `AbleClause`
  Returns:
    A String containing the current contents of the object.

### traceString

    public java.lang.String traceString(int theTraceStringFlavor)

  Retrieve a string describing (the contents of) the object.

  Specified by:
    `traceString` in class `AbleClause`
  Parameters:
    `theTraceStringFlavor` - An Able.TraceStringFlavor value.

  Returns:
    A String containing the current contents of the object.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005